Version 4.0.26.22 (latest)

### Update a dashboard

You can use this function to change the string and integer properties of
a dashboard. Nested objects such as filters, dashboard elements, or dashboard layout components
cannot be modified by this function - use the update functions for the respective
nested object types (like [update_dashboard_filter()](https://docs.cloud.google.com/looker/docs/reference/looker-api/latest/methods/Dashboard/update_dashboard_filter) to change a filter)
to modify nested objects referenced by a dashboard.

If you receive a 422 error response when updating a dashboard, be sure to look at the
response body for information about exactly which fields are missing or contain invalid data.

## Request

PATCH /dashboards/{dashboard_id} Datatype Description Request HTTP Request path HTTP Path Expand HTTP Path definition... dashboard_id string Id of dashboard body HTTP Body Expand HTTP Body definition... body [Dashboard](https://docs.cloud.google.com/looker/docs/reference/looker-api/latest/types/Dashboard) Dashboard Expand Dashboard definition... can object Operations the current user is able to perform on this object content_favorite_id string Content Favorite Id content_metadata_id string Id of content metadata description string Description hidden boolean Is Hidden id string Unique Id model [LookModel](https://docs.cloud.google.com/looker/docs/reference/looker-api/latest/types/LookModel) Model query_timezone string Timezone in which the Dashboard will run by default. readonly boolean Is Read-only refresh_interval string Refresh Interval, as a time duration phrase like "2 hours 30 minutes". A number with no time units will be interpreted as whole seconds. refresh_interval_to_i integer Refresh Interval in milliseconds folder [FolderBase](https://docs.cloud.google.com/looker/docs/reference/looker-api/latest/types/FolderBase) Folder title string Dashboard Title user_id string Id of User slug string Content Metadata Slug preferred_viewer string The preferred route for viewing this dashboard (ie: dashboards or dashboards-next) certification_metadata [Certification](https://docs.cloud.google.com/looker/docs/reference/looker-api/latest/types/Certification) Certification metadata alert_sync_with_dashboard_filter_enabled boolean Enables alerts to keep in sync with dashboard filter changes chat_enabled boolean Whether chat is enabled for this dashboard background_color string Background color created_at string Time that the Dashboard was created. crossfilter_enabled boolean Enables crossfiltering in dashboards - only available in dashboards-next (beta) dashboard_elements [DashboardElement](https://docs.cloud.google.com/looker/docs/reference/looker-api/latest/types/DashboardElement)\[\] dashboard_filters [DashboardFilter](https://docs.cloud.google.com/looker/docs/reference/looker-api/latest/types/DashboardFilter)\[\] dashboard_layouts [DashboardLayout](https://docs.cloud.google.com/looker/docs/reference/looker-api/latest/types/DashboardLayout)\[\] deleted boolean Whether or not a dashboard is 'soft' deleted. deleted_at string Time that the Dashboard was 'soft' deleted. deleter_id string Id of User that 'soft' deleted the dashboard. edit_uri string Relative path of URI of LookML file to edit the dashboard (LookML dashboard only). enable_viz_full_screen boolean Allow visualizations to be viewed in full screen mode favorite_count integer Number of times favorited filters_bar_collapsed boolean Sets the default state of the filters bar to collapsed or open filters_location_top boolean Sets the default state of the filters location to top(true) or right(false) last_accessed_at string Time the dashboard was last accessed last_viewed_at string Time last viewed in the Looker web UI updated_at string Time that the Dashboard was most recently updated. last_updater_id string Id of User that most recently updated the dashboard. last_updater_name string Name of User that most recently updated the dashboard. user_name string Name of User that created the dashboard. load_configuration string configuration option that governs how dashboard loading will happen. lookml_link_id string Links this dashboard to a particular LookML dashboard such that calling a \*\*sync\*\* operation on that LookML dashboard will update this dashboard to match. show_filters_bar boolean Show filters bar. \*\*Security Note:\*\* This property only affects the \*cosmetic\* appearance of the dashboard, not a user's ability to access data. Hiding the filters bar does \*\*NOT\*\* prevent users from changing filters by other means. For information on how to set up secure data access control policies, see \[Control User Access to Data\](https://docs.cloud.google.com/looker/docs/r/api/control-access) show_title boolean Show title folder_id string Id of folder text_tile_text_color string Color of text on text tiles tile_background_color string Tile background color tile_text_color string Tile text color title_color string Title color view_count integer Number of times viewed in the Looker web UI appearance [DashboardAppearance](https://docs.cloud.google.com/looker/docs/reference/looker-api/latest/types/DashboardAppearance) Dashboard visual settings only applicable to dashboards-next (beta) usage_count integer Number of queries executed on this dashboard in the last N days is_owner_disabled boolean Is the owner disabled url string Relative URL of the dashboard layout_granularity string The layout granularity to apply to this dashboard (ie: default or granular) preserve_desktop_layout boolean Whether to preserve the desktop layout on mobile viewports. i.e. don't force a single column layout on mobile. style string Dashboard style. Allowed values are "classic", "modern" download_settings [DashboardDownloadSettings](https://docs.cloud.google.com/looker/docs/reference/looker-api/latest/types/DashboardDownloadSettings) Default download settings for the tiles on the dashboard.

## Response

### 200: Dashboard

Datatype Description (object) [Dashboard](https://docs.cloud.google.com/looker/docs/reference/looker-api/latest/types/Dashboard) can object Operations the current user is able to perform on this object content_favorite_id string Content Favorite Id content_metadata_id string Id of content metadata description string Description hidden boolean Is Hidden id string Unique Id model [LookModel](https://docs.cloud.google.com/looker/docs/reference/looker-api/latest/types/LookModel) Model Expand LookModel definition... id string Model Id label string Model Label query_timezone string Timezone in which the Dashboard will run by default. readonly boolean Is Read-only refresh_interval string Refresh Interval, as a time duration phrase like "2 hours 30 minutes". A number with no time units will be interpreted as whole seconds. refresh_interval_to_i integer Refresh Interval in milliseconds folder [FolderBase](https://docs.cloud.google.com/looker/docs/reference/looker-api/latest/types/FolderBase) Folder Expand FolderBase definition... name string Unique Name parent_id string Id of Parent. If the parent id is null, this is a root-level entry id string Unique Id content_metadata_id string Id of content metadata created_at string Time the folder was created creator_id string User Id of Creator child_count integer Children Count external_id string Embedder's Id if this folder was autogenerated as an embedding shared folder via 'external_group_id' in an SSO embed login is_embed boolean Folder is an embed folder is_embed_shared_root boolean Folder is the root embed shared folder is_embed_users_root boolean Folder is the root embed users folder is_personal boolean Folder is a user's personal folder is_personal_descendant boolean Folder is descendant of a user's personal folder is_shared_root boolean Folder is the root shared folder is_users_root boolean Folder is the root user folder can object Operations the current user is able to perform on this object title string Dashboard Title user_id string Id of User slug string Content Metadata Slug preferred_viewer string The preferred route for viewing this dashboard (ie: dashboards or dashboards-next) certification_metadata [Certification](https://docs.cloud.google.com/looker/docs/reference/looker-api/latest/types/Certification) Certification metadata Expand Certification definition... certification_status string Certification status: "certified" or "revoked" Valid values are: "certified", "revoked". ui_status string Indicates whether the underlying model is ungoverned user_name string Display name of user who certified the content, derived from user_id notes string Certification notes updated_at string Timestamp of certification alert_sync_with_dashboard_filter_enabled boolean Enables alerts to keep in sync with dashboard filter changes chat_enabled boolean Whether chat is enabled for this dashboard background_color string Background color created_at string Time that the Dashboard was created. crossfilter_enabled boolean Enables crossfiltering in dashboards - only available in dashboards-next (beta) dashboard_elements [DashboardElement](https://docs.cloud.google.com/looker/docs/reference/looker-api/latest/types/DashboardElement)\[\] Expand DashboardElement definition... can object Operations the current user is able to perform on this object body_text string Text tile body text body_text_as_html string Text tile body text as Html dashboard_id string Id of Dashboard dashboard_layout_id string Id of Dashboard Layout group_id string ID of the group to place this element under in the layout edit_uri string Relative path of URI of LookML file to edit the dashboard element (LookML dashboard only). id string Unique Id look [LookWithQuery](https://docs.cloud.google.com/looker/docs/reference/looker-api/latest/types/LookWithQuery) Look Expand LookWithQuery definition... can object Operations the current user is able to perform on this object content_metadata_id string Id of content metadata id string Unique Id title string Look Title user_id string User Id certification_metadata [Certification](https://docs.cloud.google.com/looker/docs/reference/looker-api/latest/types/Certification) Certification metadata content_favorite_id string Content Favorite Id created_at string Time that the Look was created. deleted boolean Whether or not a look is 'soft' deleted. deleted_at string Time that the Look was deleted. deleter_id string Id of User that deleted the look. description string Description embed_url string Embed Url excel_file_url string Excel File Url favorite_count integer Number of times favorited google_spreadsheet_formula string Google Spreadsheet Formula image_embed_url string Image Embed Url is_run_on_load boolean auto-run query when Look viewed last_accessed_at string Time that the Look was last accessed by any user last_updater_id string Id of User that last updated the look. last_viewed_at string Time last viewed in the Looker web UI model [LookModel](https://docs.cloud.google.com/looker/docs/reference/looker-api/latest/types/LookModel) Model public boolean Is Public public_slug string Public Slug public_url string Public Url query_id string Query Id short_url string Short Url folder [FolderBase](https://docs.cloud.google.com/looker/docs/reference/looker-api/latest/types/FolderBase) Folder of this Look folder_id string Folder Id updated_at string Time that the Look was updated. user_name string Name of User that created the look. view_count integer Number of times viewed in the Looker web UI usage_count integer Number of queries executed on this look in the last N days is_owner_disabled boolean Is the owner disabled query [Query](https://docs.cloud.google.com/looker/docs/reference/looker-api/latest/types/Query) Query url string Url look_id string Id Of Look lookml_link_id string LookML link ID merge_result_id string ID of merge result note_display string Note Display note_state string Note State note_text string Note Text note_text_as_html string Note Text as Html query [Query](https://docs.cloud.google.com/looker/docs/reference/looker-api/latest/types/Query) Query Expand Query definition... can object Operations the current user is able to perform on this object id string Unique Id model string Model view string Explore Name fields string\[\] pivots string\[\] fill_fields string\[\] filters object Filters will contain data pertaining to complex filters that do not contain "or" conditions. When "or" conditions are present, filter data will be found on the \`filter_expression\` property. filter_expression string Filter Expression sorts string\[\] limit string Row limit. To download unlimited results, set the limit to -1 (negative one). column_limit string Column Limit total boolean Total row_total string Raw Total subtotals string\[\] vis_config object Visualization configuration properties. These properties are typically opaque and differ based on the type of visualization used. There is no specified set of allowed keys. The values can be any type supported by JSON. A "type" key with a string value is often present, and is used by Looker to determine which visualization to present. Visualizations ignore unknown vis_config properties. filter_config object The filter_config represents the state of the filter UI on the explore page for a given query. When running a query via the Looker UI, this parameter takes precedence over "filters". When creating a query or modifying an existing query, "filter_config" should be set to null. Setting it to any other value could cause unexpected filtering behavior. The format should be considered opaque. visible_ui_sections string Visible UI Sections slug string Slug dynamic_fields string Dynamic Fields client_id string Client Id: used to generate shortened explore URLs. If set by client, must be a unique 22 character alphanumeric string. Otherwise one will be generated. share_url string Share Url expanded_share_url string Expanded Share Url url string Expanded Url query_timezone string Query Timezone has_table_calculations boolean Has Table Calculations query_id string Id Of Query filter_id string ID of the filter this element represents refresh_interval string Refresh Interval refresh_interval_to_i integer Refresh Interval as integer result_maker [ResultMakerWithIdVisConfigAndDynamicFields](https://docs.cloud.google.com/looker/docs/reference/looker-api/latest/types/ResultMakerWithIdVisConfigAndDynamicFields) Data about the result maker. Expand ResultMakerWithIdVisConfigAndDynamicFields definition... id string Unique Id. dynamic_fields string JSON string of dynamic field information. filterables [ResultMakerFilterables](https://docs.cloud.google.com/looker/docs/reference/looker-api/latest/types/ResultMakerFilterables)\[\] sorts string\[\] merge_result_id string ID of merge result if this is a merge_result. total boolean Total of the constituent Look, Query, or Merge Query query_id string ID of query if this is a query. sql_query_id string ID of SQL Query if this is a SQL Runner Query query [Query](https://docs.cloud.google.com/looker/docs/reference/looker-api/latest/types/Query) Query vis_config object Vis config of the constituent Query, or Merge Query. result_maker_id string ID of the ResultMakerLookup entry. subtitle_text string Text tile subtitle text title string Title of dashboard element title_hidden boolean Whether title is hidden title_text string Text tile title type string Type alert_count integer Count of Alerts associated to a dashboard element rich_content_json string JSON with all the properties required for rich editor and buttons elements title_text_as_html string Text tile title text as Html subtitle_text_as_html string Text tile subtitle text as Html extension_id string Extension ID aria_description string Custom ARIA description text certification_metadata [Certification](https://docs.cloud.google.com/looker/docs/reference/looker-api/latest/types/Certification) Certification metadata Expand Certification definition... certification_status string Certification status: "certified" or "revoked" Valid values are: "certified", "revoked". ui_status string Indicates whether the underlying model is ungoverned user_name string Display name of user who certified the content, derived from user_id notes string Certification notes updated_at string Timestamp of certification image_id string ID of Dashboard Image images [Image](https://docs.cloud.google.com/looker/docs/reference/looker-api/latest/types/Image)\[\] Expand Image definition... can object Operations the current user is able to perform on this object id string Unique Id file_name string Original file name format string Image format (e.g. PNG, JPG) label string Accessibility label url string URL of the image created_at string Creation timestamp updated_at string Update timestamp dashboard_filters [DashboardFilter](https://docs.cloud.google.com/looker/docs/reference/looker-api/latest/types/DashboardFilter)\[\] Expand DashboardFilter definition... can object Operations the current user is able to perform on this object id string Unique Id dashboard_id string Id of Dashboard name string Name of filter title string Title of filter type string Type of filter: one of date, number, string, or field default_value string Default value of filter model string Model of filter (required if type = field) explore string Explore of filter (required if type = field) dimension string Dimension of filter (required if type = field) field object Field information row integer Display order of this filter relative to other filters listens_to_filters string\[\] allow_multiple_values boolean Whether the filter allows multiple filter values (deprecated in the latest version of dashboards) required boolean Whether the filter requires a value to run the dashboard ui_config object The visual configuration for this filter. Used to set up how the UI for this filter should appear. dashboard_layouts [DashboardLayout](https://docs.cloud.google.com/looker/docs/reference/looker-api/latest/types/DashboardLayout)\[\] Expand DashboardLayout definition... can object Operations the current user is able to perform on this object id string Unique Id dashboard_id string Id of Dashboard type string Type active boolean Is Active column_width integer Column Width width integer Width deleted boolean Whether or not the dashboard layout is deleted. dashboard_title string Title extracted from the dashboard this layout represents. dashboard_layout_components [DashboardLayoutComponent](https://docs.cloud.google.com/looker/docs/reference/looker-api/latest/types/DashboardLayoutComponent)\[\] Expand DashboardLayoutComponent definition... can object Operations the current user is able to perform on this object id string Unique Id dashboard_layout_id string Id of Dashboard Layout dashboard_element_id string Id Of Dashboard Element row integer Row column integer Column width integer Width height integer Height deleted boolean Whether or not the dashboard layout component is deleted element_title string Dashboard element title, extracted from the Dashboard Element. element_title_hidden boolean Whether or not the dashboard element title is displayed. vis_type string Visualization type, extracted from a query's vis_config granular_row integer Row (granular layout) granular_column integer Column (granular layout) granular_width integer Width (granular layout) granular_height integer Height (granular layout) group_id string Id of parent Dashboard Layout Component group label string Label description string Description order integer Order lookml_link_id string LookML link ID (stable name) deleted boolean Whether or not a dashboard is 'soft' deleted. deleted_at string Time that the Dashboard was 'soft' deleted. deleter_id string Id of User that 'soft' deleted the dashboard. edit_uri string Relative path of URI of LookML file to edit the dashboard (LookML dashboard only). enable_viz_full_screen boolean Allow visualizations to be viewed in full screen mode favorite_count integer Number of times favorited filters_bar_collapsed boolean Sets the default state of the filters bar to collapsed or open filters_location_top boolean Sets the default state of the filters location to top(true) or right(false) last_accessed_at string Time the dashboard was last accessed last_viewed_at string Time last viewed in the Looker web UI updated_at string Time that the Dashboard was most recently updated. last_updater_id string Id of User that most recently updated the dashboard. last_updater_name string Name of User that most recently updated the dashboard. user_name string Name of User that created the dashboard. load_configuration string configuration option that governs how dashboard loading will happen. lookml_link_id string Links this dashboard to a particular LookML dashboard such that calling a \*\*sync\*\* operation on that LookML dashboard will update this dashboard to match. show_filters_bar boolean Show filters bar. \*\*Security Note:\*\* This property only affects the \*cosmetic\* appearance of the dashboard, not a user's ability to access data. Hiding the filters bar does \*\*NOT\*\* prevent users from changing filters by other means. For information on how to set up secure data access control policies, see \[Control User Access to Data\](https://docs.cloud.google.com/looker/docs/r/api/control-access) show_title boolean Show title folder_id string Id of folder text_tile_text_color string Color of text on text tiles tile_background_color string Tile background color tile_text_color string Tile text color title_color string Title color view_count integer Number of times viewed in the Looker web UI appearance [DashboardAppearance](https://docs.cloud.google.com/looker/docs/reference/looker-api/latest/types/DashboardAppearance) Dashboard visual settings only applicable to dashboards-next (beta) Expand DashboardAppearance definition... page_side_margins integer Page margin (side) width page_background_color string Background color for the dashboard tile_title_alignment string Title alignment on dashboard tiles tile_space_between integer Space between tiles tile_background_color string Background color for tiles tile_shadow boolean Tile shadow on/off key_color string Key color modern_vis2026 boolean Whether to modernize visualizations on this dashboard show_dashboard_header boolean Toggle to show dashboard header. Defaults to true. show_title boolean Toggle to show dashboard title. Defaults to true. show_filters_bar boolean Toggle to show filters bar. Defaults to true. show_filters_toggle boolean Toggle to show filters toggle button. Defaults to true. show_reload_data_icon boolean Toggle to show reload data icon/button. Defaults to true. show_dashboard_menu boolean Toggle to show dashboard actions menu. Defaults to true. show_last_updated_indicator boolean Toggle to show last updated indicator. Defaults to true. background_opacity number Background image opacity (0.0 to 1.0) usage_count integer Number of queries executed on this dashboard in the last N days is_owner_disabled boolean Is the owner disabled url string Relative URL of the dashboard layout_granularity string The layout granularity to apply to this dashboard (ie: default or granular) preserve_desktop_layout boolean Whether to preserve the desktop layout on mobile viewports. i.e. don't force a single column layout on mobile. style string Dashboard style. Allowed values are "classic", "modern" download_settings [DashboardDownloadSettings](https://docs.cloud.google.com/looker/docs/reference/looker-api/latest/types/DashboardDownloadSettings) Default download settings for the tiles on the dashboard. Expand DashboardDownloadSettings definition... format_option string Format option value_options string Value option result_options string Result option limit_options string Limit option rows_limit integer Rows limit columns_limit integer Columns limit append_excel_metadata boolean Append Excel metadata include_filters boolean Include filter context in PNG downloads

### 400: Bad Request

Datatype Description (object) [Error](https://docs.cloud.google.com/looker/docs/reference/looker-api/latest/types/Error) message string Error details documentation_url string Documentation link

### 404: Not Found

Datatype Description (object) [Error](https://docs.cloud.google.com/looker/docs/reference/looker-api/latest/types/Error) message string Error details documentation_url string Documentation link

### 405: Resource Can't Be Modified

Datatype Description (object) [Error](https://docs.cloud.google.com/looker/docs/reference/looker-api/latest/types/Error) message string Error details documentation_url string Documentation link

### 422: Validation Error

Datatype Description (object) [ValidationError](https://docs.cloud.google.com/looker/docs/reference/looker-api/latest/types/ValidationError) message string Error details errors [ValidationErrorDetail](https://docs.cloud.google.com/looker/docs/reference/looker-api/latest/types/ValidationErrorDetail)\[\] Expand ValidationErrorDetail definition... field string Field with error code string Error code message string Error info message documentation_url string Documentation link documentation_url string Documentation link

### 429: Too Many Requests

Datatype Description (object) [Error](https://docs.cloud.google.com/looker/docs/reference/looker-api/latest/types/Error) message string Error details documentation_url string Documentation link

## Examples

### Python


|---|
| [https://github.com/looker-open-source/sdk-codegen/blob/main/examples/python/cloud-function-content-cleanup-automation/main.py](https://github.com/looker-open-source/sdk-codegen/blob/main/examples/python/cloud-function-content-cleanup-automation/main.py#L236 "https://github.com/looker-open-source/sdk-codegen/blob/main/examples/python/cloud-function-content-cleanup-automation/main.py") |
| [https://github.com/looker-open-source/sdk-codegen/blob/main/examples/python/soft_delete_dashboard.py](https://github.com/looker-open-source/sdk-codegen/blob/main/examples/python/soft_delete_dashboard.py#L41 "https://github.com/looker-open-source/sdk-codegen/blob/main/examples/python/soft_delete_dashboard.py") |
| [https://github.com/looker-open-source/sdk-codegen/blob/main/python/tests/integration/test_methods.py](https://github.com/looker-open-source/sdk-codegen/blob/main/python/tests/integration/test_methods.py#L567 "https://github.com/looker-open-source/sdk-codegen/blob/main/python/tests/integration/test_methods.py") |
| [https://github.com/looker-open-source/sdk-codegen/blob/main/python/tests/integration/test_methods.py](https://github.com/looker-open-source/sdk-codegen/blob/main/python/tests/integration/test_methods.py#L573 "https://github.com/looker-open-source/sdk-codegen/blob/main/python/tests/integration/test_methods.py") |

### TypeScript


|---|
| [https://github.com/looker-open-source/sdk-codegen/blob/main/packages/sdk-codegen/src/kotlin.gen.spec.ts](https://github.com/looker-open-source/sdk-codegen/blob/main/packages/sdk-codegen/src/kotlin.gen.spec.ts#L340 "https://github.com/looker-open-source/sdk-codegen/blob/main/packages/sdk-codegen/src/kotlin.gen.spec.ts") |
| [https://github.com/looker-open-source/sdk-codegen/blob/main/packages/sdk-codegen/src/python.gen.spec.ts](https://github.com/looker-open-source/sdk-codegen/blob/main/packages/sdk-codegen/src/python.gen.spec.ts#L1127 "https://github.com/looker-open-source/sdk-codegen/blob/main/packages/sdk-codegen/src/python.gen.spec.ts") |
| [https://github.com/looker-open-source/sdk-codegen/blob/main/packages/sdk-codegen/src/typescript.gen.spec.ts](https://github.com/looker-open-source/sdk-codegen/blob/main/packages/sdk-codegen/src/typescript.gen.spec.ts#L660 "https://github.com/looker-open-source/sdk-codegen/blob/main/packages/sdk-codegen/src/typescript.gen.spec.ts") |
| [https://github.com/looker-open-source/sdk-codegen/blob/main/packages/sdk-node/test/methods.spec.ts](https://github.com/looker-open-source/sdk-codegen/blob/main/packages/sdk-node/test/methods.spec.ts#L975 "https://github.com/looker-open-source/sdk-codegen/blob/main/packages/sdk-node/test/methods.spec.ts") |
| [https://github.com/looker-open-source/sdk-codegen/blob/main/packages/sdk-node/test/methods.spec.ts](https://github.com/looker-open-source/sdk-codegen/blob/main/packages/sdk-node/test/methods.spec.ts#L983 "https://github.com/looker-open-source/sdk-codegen/blob/main/packages/sdk-node/test/methods.spec.ts") |
| [https://github.com/looker-open-source/sdk-codegen/blob/main/packages/sdk-node/test/sdk.apispec.ts](https://github.com/looker-open-source/sdk-codegen/blob/main/packages/sdk-node/test/sdk.apispec.ts#L903 "https://github.com/looker-open-source/sdk-codegen/blob/main/packages/sdk-node/test/sdk.apispec.ts") |
| [https://github.com/looker-open-source/sdk-codegen/blob/main/packages/sdk-node/test/sdk.apispec.ts](https://github.com/looker-open-source/sdk-codegen/blob/main/packages/sdk-node/test/sdk.apispec.ts#L911 "https://github.com/looker-open-source/sdk-codegen/blob/main/packages/sdk-node/test/sdk.apispec.ts") |